"use client";
function f(n, t, { checkForDefaultPrevented: r = !0 } = {}) {
  return function(e) {
    if (n?.(e), r === !1 || !e.defaultPrevented)
      return t?.(e);
  };
}
export {
  f as composeEventHandlers
};
